'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import ReactApexChart from 'react-apexcharts';
import React, { useEffect, useState } from 'react';

export default  function() {
    const [isMounted, setIsMounted] = useState(false);
    useEffect(() => {
        setIsMounted(true);
    }, []);
    // donutChartOptions
    const donutChart: any = {
        series: [44, 55, 13],
        options: {
            chart: {
                height: 300,
                type: 'donut',
                zoom: {
                    enabled: false,
                },
                toolbar: {
                    show: false,
                },
            },
            stroke: {
                show: false,
            },
            labels: ['موبایل', 'لپ تاپ', 'سایر'],
            colors: ['#4361ee', '#805dca', '#e2a03f'],
            responsive: [
                {
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: 200,
                        },
                    },
                },
            ],
            legend: {
                position: 'bottom',
            },
        },
    };
    return (
        <PanelCodeHighlight
            title="دونات "
        >
            <div className="mb-5">
                {isMounted && <ReactApexChart series={donutChart.series} options={donutChart.options} className="rounded-lg bg-white dark:bg-black" type="donut" height={300} width={'100%'} />}
            </div>
        </PanelCodeHighlight>
    );
}
